package main

import (
	"fmt"
	"github.com/furryboard/spider-core/rpc"
	"google.golang.org/grpc"
	"net"
)

func main() {
	// 监听本地端口
	lis, err := net.Listen("tcp", ":9101")
	if err != nil {
		fmt.Printf("监听端口失败: %s", err)
		return
	}

	// 创建gRPC服务器
	s := grpc.NewServer()
	// 注册服务
	rpc.RegisterServices(s)

	err = s.Serve(lis)
	if err != nil {
		fmt.Printf("开启服务失败: %s", err)
		return
	}
}
